<template>
    <div class="container">
        <div class="row">
            <h1>Company</h1>
        </div>
        <div class="row">
            <div class="col-lg-3">
                <h2>Employees</h2>
                <ul class="list-group">
                    <li v-for="person in people"
                        :key="person.id"
                        @click="selected_person=person"
                        class="list-group-item clickable list-group-item-action"
                        v-bind:class="{ active: person.id===selected_person.id}">
                        {{person.name}}
                    </li>

                </ul>
            </div>
            <div class="col-lg-9"  >
                <div v-for="person in people" :key="person.id">
                    <PersonDetail :person=person v-show="person.id===selected_person.id"></PersonDetail>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import PersonDetail from './PersonDetail.vue'
    import api from '../api/resources'
    export default {
        name: 'Home',
        components: {
            PersonDetail
        },
        data() {
            return {
              people: [],
              selected_person: {}
        }
        },
        created() {
            api.load_employees().then(employees => this.people = employees)
        },
        methods: {

        }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>



</style>
